Package it.ernytech.tdlib

## Class TdApi.CheckChatUsername

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CheckChatUsername

Enclosing class:
  TdApi

    public static class TdApi.CheckChatUsername
    extends TdApi.Function

Checks whether a username can be set for a chat.

Returns `CheckChatUsernameResult`

### Field Summary

Fields
`long` `chatId` Chat identifier; should be identifier of a supergroup chat, or a channel chat, or a private chat with self, or zero if chat is being created.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `username` Username to be checked.

### Constructor Summary

Constructors
`CheckChatUsername()` Default constructor.
`CheckChatUsername​(long chatId, java.lang.String username)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier; should be identifier of a supergroup chat, or a channel chat, or a private chat with self, or zero if chat is being created.

#### username

    public java.lang.String username

Username to be checked.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CheckChatUsername

    public CheckChatUsername()

Default constructor.

#### CheckChatUsername

    public CheckChatUsername​(long chatId,
                             java.lang.String username)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier; should be identifier of a supergroup chat, or a channel chat, or a private chat with self, or zero if chat is being created.
  `username` - Username to be checked.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR